AddWeighted
Arithmetic Operations

Pixel by pixel addition of alpha weighted pixel values from a source image to floating point pixel values of destination image. More...

## Functions

NppStatus | nppiAddWeighted_8u32f_C1IMR_Ctx (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel alpha weighted image added to in place floating point destination image using filter mask (updates destination when mask is non-zero). More...
NppStatus | nppiAddWeighted_8u32f_C1IMR (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha)
NppStatus | nppiAddWeighted_8u32f_C1IR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel alpha weighted image added to in place floating point destination image. More...
NppStatus | nppiAddWeighted_8u32f_C1IR (const Npp8u *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha)
NppStatus | nppiAddWeighted_16u32f_C1IMR_Ctx (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel alpha weighted image added to in place floating point destination image using filter mask (updates destination when mask is non-zero). More...
NppStatus | nppiAddWeighted_16u32f_C1IMR (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha)
NppStatus | nppiAddWeighted_16u32f_C1IR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel alpha weighted image added to in place floating point destination image. More...
NppStatus | nppiAddWeighted_16u32f_C1IR (const Npp16u *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha)
NppStatus | nppiAddWeighted_32f_C1IMR_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel alpha weighted image added to in place floating point destination image using filter mask (updates destination when mask is non-zero). More...
NppStatus | nppiAddWeighted_32f_C1IMR (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha)
NppStatus | nppiAddWeighted_32f_C1IR_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel alpha weighted image added to in place floating point destination image. More...
NppStatus | nppiAddWeighted_32f_C1IR (const Npp32f *pSrc, int nSrcStep, Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32f nAlpha)

## Detailed Description

Pixel by pixel addition of alpha weighted pixel values from a source image to floating point pixel values of destination image.

## Function Documentation

NppStatus nppiAddWeighted_16u32f_C1IMR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha
| ) |  |

NppStatus nppiAddWeighted_16u32f_C1IMR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel alpha weighted image added to in place floating point destination image using filter mask (updates destination when mask is non-zero).

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nAlpha | Alpha weight to be applied to source image pixels (0.0F to 1.0F)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAddWeighted_16u32f_C1IR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha
| ) |  |

NppStatus nppiAddWeighted_16u32f_C1IR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel alpha weighted image added to in place floating point destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nAlpha | Alpha weight to be applied to source image pixels (0.0F to 1.0F)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAddWeighted_32f_C1IMR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha
| ) |  |

NppStatus nppiAddWeighted_32f_C1IMR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel alpha weighted image added to in place floating point destination image using filter mask (updates destination when mask is non-zero).

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nAlpha | Alpha weight to be applied to source image pixels (0.0F to 1.0F)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAddWeighted_32f_C1IR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha
| ) |  |

NppStatus nppiAddWeighted_32f_C1IR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel alpha weighted image added to in place floating point destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nAlpha | Alpha weight to be applied to source image pixels (0.0F to 1.0F)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAddWeighted_8u32f_C1IMR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha
| ) |  |

NppStatus nppiAddWeighted_8u32f_C1IMR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel alpha weighted image added to in place floating point destination image using filter mask (updates destination when mask is non-zero).

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nAlpha | Alpha weight to be applied to source image pixels (0.0F to 1.0F)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAddWeighted_8u32f_C1IR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha
| ) |  |

NppStatus nppiAddWeighted_8u32f_C1IR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | nAlpha,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel alpha weighted image added to in place floating point destination image.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nAlpha | Alpha weight to be applied to source image pixels (0.0F to 1.0F)
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2018 NVIDIA Corporation